### Method

# Ide GreeterRow get_search_text

#### Declaration

    gchar*
    ide_greeter_row_get_search_text (
      IdeGreeterRow* self
    )

#### Description

Gets a new string containing the search text for the greeter row.

Available since: | 3.32

#### Return value

Returns: | `gchar*`
| A string or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.